import { BaseProvider } from '#templates/base/provider';
import { RefreshTokenAuditLogsDefault } from '#models/RefreshTokenAuditLogsDefault';

export class RefreshTokenAuditLogsDefaultProvider extends BaseProvider<RefreshTokenAuditLogsDefault> {
	public static instance: RefreshTokenAuditLogsDefaultProvider;

	public static getInstance(): RefreshTokenAuditLogsDefaultProvider {
		RefreshTokenAuditLogsDefaultProvider.instance ??= new RefreshTokenAuditLogsDefaultProvider();
		return RefreshTokenAuditLogsDefaultProvider.instance;
	}

	public static get model() {
		return RefreshTokenAuditLogsDefault;
	}

	constructor() {
		super('RefreshTokenAuditLogsDefault');
	}
}
